
# docker-webtop

> [!important]
> This repository is no longer maintained, please use [__this one__](https://gitlab.dsi.universite-paris-saclay.fr/mydocker/images/webtop) instead.

## Why

This image is a base image for a linux with a GUI running either on a local docker or on MyDocker. 
It is based on [WebTop image from LinuxServer.io](https://github.com/linuxserver/docker-webtop) 
which is maintained and quite often updated.

This image use Debian 12.7 and the [Xfce](https://www.xfce.org) window manager.

## Changes

- Some basic tools (unzip, zip) added.

## Details

- The exposed ports are 3000 (HTTP/VNC) and 3001 (HTTPS/VNC).
- The user folder is `/config`.
- the user is `abc`, its password also, sudo is without password.
- if docker is installed on your computer, you can run (amd64 or arm64 architecture) this 
  image, assuming you are in a specific folder that will be shared with the container at 
  `/config`, with:
  
  `docker run -p 3000:3000 -v "$(pwd):/config"
    gitlab-research.centralesupelec.fr:4567/my-docker-images/docker-webtop:xfce`

